<?php

$DefaultKeyWord = "5rWB5bm05bKB5pyIfOa1geW5tOWygeaciHxodHRwOi8vd3d3LmZlbmd3ZW5zaGVuZy5jb20v";

$table['SEOTools'] = '%pre%seotools';

$datainfo['SEOTools'] = array(
	'ID'=>array('KeyWord_ID','integer','',0),
	'Type'=>array('KeyWord_Type','integer','',0),
	'Title'=>array('KeyWord_Title','string',255,''),
	'Url'=>array('KeyWord_Url','string',255,''),
	'Des'=>array('KeyWord_Des','string',255,''),
	'Order'=>array('KeyWord_Order','integer','',99),
	'Code'=>array('KeyWord_Code','string',255,''),
	'IsUsed'=>array('KeyWord_IsUsed','boolean','',true),
);

function SEOTools_SubMenu($id){
	$arySubMenu = array(
		0 => array('基本设置', 'config', 'left', false),
		1 => array('标题优化', 'title', 'left', false),
		2 => array('内容管理', 'content', 'left', false),
		3 => array('添加链接', 'links', 'left', false),
	);
	foreach($arySubMenu as $k => $v){
		echo '<a href="?act='.$v[1].'" '.($v[3]==true?'target="_blank"':'').'><span class="m-'.$v[2].' '.($id==$v[1]?'m-now':'').'">'.$v[0].'</span></a>';
	}
}

class SEOTools extends Base{

	function __construct()
	{
		global $zbp;
		parent::__construct($zbp->table['SEOTools'],$zbp->datainfo['SEOTools']);
	}
}

?>